# Get Query Set

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Query Set"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/workspaces/{workspace_id}/query_sets/{query_set_id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns a query set.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"workspace_id","required":true,"schema":{"format":"uuid","title":"Workspace ID","type":"string"}},{"in":"path","name":"query_set_id","required":true,"schema":{"format":"uuid","title":"Query set ID","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"created_at":{"description":"Timestamp of when the query set was created.","format":"date-time","title":"Created at","type":"string"},"created_by":{"properties":{"family_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Family name of a user.","title":"Family name"},"given_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Given name of a user.","title":"Given name"},"user_id":{"format":"uuid","title":"User Id","type":"string"}},"required":["user_id"],"title":"Oauth User","type":"object","description":"The user who created the query set."},"name":{"description":"Name of the query set.","title":"Name","type":"string"},"query_set_id":{"description":"Query set ID.","format":"uuid","title":"Query set ID","type":"string"}},"required":["query_set_id","name","created_by","created_at"],"title":"QuerySet","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
